List of all members
clan::DDSProvider Class Reference
clanDisplay Image Providers

Image provider that can load Direct3D texture (.dds) files. More...

`#include <dds_provider.h>`

## Static Public Member Functions
Construction
static PixelBufferSet | load (const std::string &filename, const FileSystem &file_system)
| Called to load an image with this provider type. More...
static PixelBufferSet | load (const std::string &fullname)
static PixelBufferSet | load (IODevice &file)

## Detailed Description

Image provider that can load Direct3D texture (.dds) files.

The documentation for this class was generated from the following file:

- dds_provider.h